Upgrading to Ruby 2.1, Rails 4.0, Bootstrap 3.0

1,542 views

Published on

Supporting slides for my talk on how to Upgrade from Ruby 1.9.3 to Ruby 2.1, Rails 3.2 to 4.0, Bootstrap 2.3 to 3.0

Published in: Technology
0 Comments
0 Likes
Statistics
Notes
  • Be the first to comment

  • Be the first to like this

No Downloads
Views
Total views
1,542
On SlideShare
0
From Embeds
0
Number of Embeds
1
Actions
Shares
0
Downloads
4
Comments
0
Likes
0
Embeds 0
No embeds

No notes for slide

Upgrading to Ruby 2.1, Rails 4.0, Bootstrap 3.0

  1. 1. Upgrading Bryan Bibat | bryanbibat.net @bry_bibat | speakerdeck.com/bryanbibat
  2. 2. Ruby 2.1 .ruby-version
  3. 3. Ruby 2.1 - RVM .ruby-gemset https://rvm.io/workflow/projects#project-file-ruby-version
  4. 4. Links Rails 3.2 to 4.0 http://guides.rubyonrails.org/upgrading_ruby_on_rails.html Bootstrap 2.x to 3.0 http://getbootstrap.com/getting-started/#migration Apps upgraded https://github.com/devcon-ph/devcon https://github.com/phrug/pinoyrb Boring 1.5 hr 1080p video http://youtu.be/HZqqbJJhN2Y
  5. 5. Make sure you've got tests (LOL)
  6. 6. Rails 4.0 Gemfile + :assets group Config Strong Parameters Routes Active Record Scopes Deprecated ActiveRecord Finders / Page Cache
  7. 7. Rails 4.0 binstubs bundle config --delete bin rake rails:update:bin git add bin
  8. 8. Rails 4.0 Gems... :(
  9. 9. Bootstrap 3.0 grep | sed and Firefox Responsive Design Mode are your friends
  10. 10. Links Rails 3.2 to 4.0 http://guides.rubyonrails.org/upgrading_ruby_on_rails.html Bootstrap 2.x to 3.0 http://getbootstrap.com/getting-started/#migration Apps upgraded https://github.com/devcon-ph/devcon https://github.com/phrug/pinoyrb Boring 1.5 hr 1080p video http://youtu.be/HZqqbJJhN2Y

×